Name: mozilla-plugin-swfdec
Version: 0.6.0
Release: alt2

Summary: Mozilla plugin for playing Flash animations with libswfdec.
Group: Networking/WWW
License: LGPL
Url: http://swfdec.freedesktop.org/wiki/
Packager: Damir Shayhutdinov <damir@altlinux.ru>

Source: http://swfdec.freedesktop.org/download/swfdec-mozilla/0.4/swfdec-mozilla-%version.tar.gz

BuildRequires: libswfdec-devel >= 0.6 libswfdec >= 0.6
BuildRequires: mozilla-devel
BuildRequires: browser-plugins-npapi-devel
BuildRequires: libgtk+2-devel libalsa-devel libavcodec-devel

%description
A plugin for Mozilla browsers that uses the Swfdec library for playing SWF files.

%prep
%setup -n swfdec-mozilla-%version
sed -i s/0\.5\.4\.1/%version/g configure.ac

%build
autoreconf -fisv
%configure --with-plugin-dir=%browser_plugins_path

%make_build

%install
%make_install DESTDIR=%buildroot install

%files
%browser_plugins_path/*.so

%changelog
* Sat Apr 12 2008 Damir Shayhutdinov <damir@altlinux.ru> 0.6.0-alt2
- Relaxed libswfdec requirements

* Thu Mar 20 2008 Damir Shayhutdinov <damir@altlinux.ru> 0.6.0-alt1
- 0.6.0 - stable API release.

* Thu Dec 20 2007 Damir Shayhutdinov <damir@altlinux.ru> 0.5.5-alt1
- 0.5.5 - feature release.

* Sat Nov 17 2007 Damir Shayhutdinov <damir@altlinux.ru> 0.5.4-alt1
- 0.5.4 - feature release.

* Thu Oct 25 2007 Damir Shayhutdinov <damir@altlinux.ru> 0.5.3-alt1
- 0.5.3 - feature release. 

* Sat Aug 04 2007 Damir Shayhutdinov <damir@altlinux.ru> 0.5.1-alt1
- 0.5.1 - feature release.

* Sun Jul 15 2007 Damir Shayhutdinov <damir@altlinux.ru> 0.5.0-alt1
- 0.5.0 - major release.

* Sat Jul 07 2007 Damir Shayhutdinov <damir@altlinux.ru> 0.4.5-alt1
- 0.4.5 - bugfix release.

* Fri Apr 27 2007 Damir Shayhutdinov <damir@altlinux.ru> 0.4.4-alt1
- New version.

* Tue Apr 17 2007 Damir Shayhutdinov <damir@altlinux.ru> 0.4.3-alt1
- Initial build for ALT Linux.
